$(document).ready(function() {
           //  $("#editar").on("click", function() {
           // ValidaEditarCliente()
           //   // if (ValidaEditarCliente()==false) {
           //       // return false;
           //     // }
           // });      

           //  $("#editarCosme").on("click", function() {
           
           //   if (ValidaEditarClienteC()==false) {
           //       return false;
           //     }
           // }); 

   
        $.fn.datepicker.dates['en'] = {
         days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
         daysShort: ["Dom", "Lun", "Mar", "Mier", "Jue", "Vier", "Sab"],
         daysMin: ["D", "L", "Ma", "Mi", "J", "V", "S"],
         months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
         monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
         today: "Today",
         clear: "Clear",
 
         weekStart: 0
     };
 
     $.datepicker.setDefaults($.datepicker.regional['en']);
  
  var today = new Date();
  $(".date-picker").datepicker({
         isRTL: false,
         format: "dd-mm-yyyy",
         viewMode: "months,days", 
         minViewMode: "months,days",
         autoclose: true,
         todayHighlight: true,                   
     });
  
   $( "#FechaNacimientoCliente" ).change(function() 
   {    
     var datoFecha=document.getElementById('FechaNacimientoCliente').value;
     // console.log(datoFecha); 
     var desfragmenta = datoFecha.split("-");             
     var nuevaFecha=desfragmenta[2] +"-"+desfragmenta[1]+"-"+desfragmenta[0];
     // console.log(nuevaFecha);
      // console.log(calcularEdad(nuevaFecha));
     if(calcularEdad(nuevaFecha)<0 || isNaN((calcularEdad(nuevaFecha))))
     {
       document.querySelector("#EdadCliente").value = 0;
     }
     else{
       document.querySelector("#EdadCliente").value = calcularEdad(nuevaFecha);   
     }
                     
   }); 


$('#editarCliente').submit(function(event){
    event.preventDefault();
    //console.log('submit');
    var valorImagen = $('#imagen').val();
    var action = $(this).attr('action');
    var datos = $(this).serialize();
    var tipoUsuario = "franquiciatario";

    if(valorImagen == ""){
    swal({
      title: "¡No ha ingresado la firma electrónica!",
      text:"¿Desea continuar?",
      icon: "warning",
      buttons: ["Cancelar", "Aceptar"],
      confirm: true,
    })
    .then((confirm) => {
      if(confirm){
      ValidaEditarCliente(action, datos, tipoUsuario)
    }
  });
    }else{
      ValidaEditarCliente(action, datos, tipoUsuario)
    }
});

$('#frm_editarClienteC').submit(function(event){
    event.preventDefault();
    //console.log('submit');
    var valorImagen = $('#imagen').val();
    var action = $(this).attr('action');
    var datos = $(this).serialize();
    var tipoUsuario = "cosmetologo";

    if(valorImagen == ""){
    swal({
      title: "¡No ha ingresado la firma electrónica!",
      text:"¿Desea continuar?",
      icon: "warning",
      buttons: ["Cancelar", "Aceptar"],
      confirm: true,
    })
    .then((confirm) => {
      if(confirm){
      ValidaEditarCliente(action, datos, tipoUsuario)
    }
  });
    }else{
      ValidaEditarCliente(action, datos, tipoUsuario)
    }
});




}); 
function calcularEdad(fecha) {
    var hoy = new Date();
    var cumpleanos = new Date(fecha);
    var edad = hoy.getFullYear() - cumpleanos.getFullYear();
    var m = hoy.getMonth() - cumpleanos.getMonth();

    if (m < 0 || (m === 0 && hoy.getDate() < cumpleanos.getDate())) {
        edad--;
    }

    return edad;
}

//////////////////////////////////////////////////////////////funcion que edita la informacion de la ventana modificar cliente en franquiciatario ////////////////////////
function ValidaEditarCliente(action, datos, tipoUsuario){

  var celular =$('#CelularCliente').val();
  var nombreCliente =$('#NombreCliente').val();
  var nc = document.getElementById('nomcliente');

  var confirmacion='';
  
  var IdClientes = $('#IdClientes').val();

  for (var i = 0; i < nc.length; i++) {
       var opt = nc[i];
       if(opt.text.toUpperCase()==nombreCliente.toUpperCase()){
         confirmacion='true';
       }
}

if(confirmacion=='true' && nombreCliente!=""){
         swal({
            title: "¡Nombre de cliente existente!",
            text:"¿Está seguro de guardar esté cliente?",
            icon: "warning",
            buttons: ["Cancelar", "Aceptar"],
            confirm: true,
         })
         .then((confirm) => {
            if(confirm){
              $.ajax({                        
                     type: "POST",                                   
                     url: action,
                     data: datos,
                     success: function(result)             
                     {
                      // console.log("result= " + result);
                      if(result == '1'){
                          swal("Datos guardados correctamente", "", "success")
                          .then((value) => {
                            if(tipoUsuario == 'franquiciatario'){
                              location.href="/SM/clientes/franquiciatario/clienteF"
                            }else{
                              location.href="/SM/clientes/cosmetologo/clienteC"
                            }
                            
                          });
                        }else{
                          swal("No se hizo ningún cambio", "", "warning")
                          // .then((value) => {
                          //   if(tipoUsuario == 'franquiciatario'){
                          //     // location.href="/SM/clientes/franquiciatario/clienteF"
                          //   }else{
                          //     // location.href="/SM/clientes/cosmetologo/clienteC"
                          //   }
                          // });
                        }
                     },
                     error:function(jqXHR, textStatus, errorThrown){
                        console.log('error::' + errorThrown);
                      }
                 });
            }
          });
}else{

  $.ajax({                        
    type: "POST",                                   
    url: action,
    data: datos,
    success: function(result)             
    {
    // console.log("result= " + result);
    if(result == '1'){
        swal("Datos guardados correctamente", "", "success")
        .then((value) => {
          if(tipoUsuario == 'franquiciatario'){
              location.href="/SM/clientes/franquiciatario/clienteF"
            }else{
              location.href="/SM/clientes/cosmetologo/clienteC"
            }
        });
      }else{
        swal("No se hizo ningún cambio", "", "warning")
        // .then((value) => {
        //   if(tipoUsuario == 'franquiciatario'){
        //       // location.href="/SM/clientes/franquiciatario/clienteF"
        //     }else{
        //       // location.href="/SM/clientes/cosmetologo/clienteC"
        //     }
        // });
      }
    },
    error:function(jqXHR, textStatus, errorThrown){
      console.log('error::' + errorThrown);
    }
});

}

}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


